import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading GenericTocabSensorType Converter")

class GenericTocabSensorType(Converter):

	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "None":
			res = "Continous media"
		elif myList[0] == "Gap":
			res = "Gap Sensor"
		elif myList[0] == "Mark":
			res = "Top-Reflect"
		return res




plugin = GenericTocabSensorType("GenericTocabSensorType")

store.AddConverter(plugin)